Skip to main content

Volume Participation(VP) New Order (TRADE)

API Description​

Place a new spot VP (Volume Participation) order with Algo service. A VP order automatically slices the total quantity over time, targeting a percentage of the market volume.

HTTP Request​

POST /sapi/v1/algo/spot/newOrderVp

Request Weight(UID)​

3000

Request Parameters​

NameTypeMandatoryDescription
symbolSTRINGYESTrading symbol eg. BTCUSDT
sideENUMYESTrading side ( BUY or SELL )
quantityDECIMALYESTotal order quantity in base asset; The notional must be at least the equivalent of 1,000 USDT, and the maximum notional per order is 200k, 2mm or 10mm, depending on symbol. Please reduce your size if your order is above the maximum notional per order.
urgencyENUMYESRepresent the relative speed of the current execution; ENUM: LOW, MEDIUM, HIGH
clientAlgoIdSTRINGNOA unique id among Algo orders (length should be 32 characters). If it is not sent, we will give default value. Must be unique across all open Algo orders.
vpTimeLimitINTNOMax allowed duration in seconds (minimum 300, maximum 86400). If it is not sent, 86400 is used and the order runs until fully filled or cancelled.
recvWindowLONGNOCannot be greater than 60000
timestampLONGYES
  • VP orders do not accept price or timeInForce; pricing is determined algorithmically based on market volume.
  • urgency controls the participation rate: LOW = passive, MEDIUM = neutral, HIGH = aggressive.
  • Receiving "success": true does not mean that your order will be executed. Please use the query order endpoints (GET /sapi/v1/algo/spot/openOrders or GET /sapi/v1/algo/spot/historicalOrders) to check the order status.
  • You need to enable the Spot Trading permission for the API key requesting this endpoint.
  • Base URL: https://api.binance.com

Response Example​

{
"clientAlgoId": "65ce1630101a480b85915d7e11fd5078",
"success": true,
"code": 0,
"msg": "OK"
}